// SocketTools 5.0 Library Edition
// Copyright 2007 Catalyst Development Corporation
// All rights reserved
//
// This file is licensed to you pursuant to the terms of the
// product license agreement included with the original software,
// and is protected by copyright law and international treaties.
// Unauthorized reproduction or distribution may result in severe
// criminal penalties.
//
#ifndef _INC_CONNECT
#define _INC_CONNECT

#define IDC_LABEL_HOSTNAME	1
#define IDC_EDIT_HOSTNAME	2
#define IDC_LABEL_HOSTPORT	3
#define IDC_EDIT_HOSTPORT	4
#define IDC_LABEL_TIMEOUT	5
#define IDC_EDIT_TIMEOUT	6
#define IDC_LABEL_EMULATION 7
#define IDC_COMBO_EMULATION 8
#define IDC_BUTTON_CONNECT	9
#define IDC_BUTTON_CANCEL	10

struct ConnectInfo
{
	string m_strHostName;
	int m_nHostPort;
	int m_nTimeout;
	int m_nEmulation;
}

class CConnectDlg:CDialog
{
	declare CConnectDlg();
	declare _CConnectDlg();

	declare GetConnectInfo(CONNECTINFO *pInfo), int;
	declare SetConnectInfo(CONNECTINFO *pInfo), int;
	declare IsCanceled(), int;

	declare OnInitDialog(),int;
	declare OnClose(),int;
	declare OnControl(int nID, int nNotifyCode, unsigned int hControl),int;
	declare OnClickConnect(), int;
	declare OnClickCancel(), int;

	CEdit *m_pctlHostName;
	CEdit *m_pctlHostPort;
	CEdit *m_pctlTimeout;
	CComboBox *m_pctlEmulation;
	CButton *m_pctlConnect;
	CButton *m_pctlCancel;
	ConnectInfo m_conInfo;
	int m_bCanceled;
}

#endif
